Bug 748852 - Documentation bug in yum.conf(5) - installonlypkgs
Documentation bug in yum.conf(5) - installonlypkgs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2011-10-25 09:59 EDT by Dan Pritts
Modified: 2014-02-04 10:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 15:48:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Pritts 2011-10-25 09:59:18 EDT
Description of problem:

yum.conf(5) says:

              installonlypkgs List of packages that should only ever be  installed,  never
              updated.  Kernels in particular fall into this category. Defaults to kernel,
              kernel-smp, kernel-bigmem,  kernel-enterprise,  kernel-debug,  kernel-unsup-
              ported.

but /usr/lib/python2.4/site-packages/yum/config.py actually has:

class YumConf(StartupConf):
[...]
    installonlypkgs = ListOption(['kernel', 'kernel-bigmem',
            'kernel-enterprise','kernel-smp', 'kernel-modules', 'kernel-debug',
            'kernel-unsupported', 'kernel-source', 'kernel-devel', 'kernel-PAE',
            'kernel-PAE-debug'])



Version-Release number of selected component (if applicable):

~@tsgdev1% rpm -qi yum
Name        : yum                          Relocations: (not relocatable)
Version     : 3.2.22                            Vendor: Red Hat, Inc.
Release     : 37.el5                        Build Date: Tue 14 Jun 2011 10:47:59 AM EDT
Install Date: Mon 24 Oct 2011 05:28:35 PM EDT      Build Host: ia64-004.build.bos.redhat.com


How reproducible:

always

Steps to Reproduce:
1. man yum.conf
2.
3.
  
Actual results:

lies to me

Expected results:

reflects reality

Additional info:

I do not yet have RHEL6 installed so I cannot check this there, but presumably this hsould be checked out there too.
Comment 1 RHEL Product and Program Management 2013-05-01 03:19:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 James Antill 2013-12-10 15:48:10 EST
 Given the age of this and and how minor it is (and that the man page update could easily fix it if really needed) I'm going to close this now, as we are very late in RHEL-5. At least the early versions of RHEL-6 yum could be rebuilt on RHEL-5, so if any customer really needs this then that is a viable path (and rhel-6 includes yum-config-manager, so the user can easily query information like this).

Note You need to log in before you can comment on or make changes to this bug.